Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

From: <[email-masked]>
Date: Tue, 28 Sep 2021 08:02:28 +0200

Hi,
 
This email starts a two-week working group last call for
draft-ietf-bess-evpn-vpws-fxc [1]
 
Please review the draft and send any comments to the BESS list. Also, please
indicate if you support publishing the draft as a Standards Track RFC.
 
This poll runs until the 12th October 2021.
 
We are also polling for knowledge of any undisclosed IPR that applies to
this document, to ensure that IPR has been disclosed in compliance with IETF
IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
 
If you are listed as an author or a contributor of this document please
respond to this email and indicate whether or not you are aware of any
relevant undisclosed IPR. The document won't progress without answers from
all the authors and contributors.
There are currently two IPR disclosures.
 
In addition, we are polling for knowledge of implementations of this draft,
per the BESS policy in [2].
 
Thank you,
Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpws-fxc/ 
[2]
<https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw>
https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

---

From: John E Drake <[email-masked]>
Date: Tue, 28 Sep 2021 13:25:20 +0000

I'm not aware of any IPR

Yours Irrespectively,

John

Juniper Business Use Only
From: BESS <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, September 28, 2021 2:02 AM
To: 'BESS' <[email-masked]>
Cc: [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

[External Email. Be cautious of content]

Hi,

This email starts a two-week working group last call for draft-ietf-bess-evpn-vpws-fxc [1]

Please review the draft and send any comments to the BESS list. Also, please indicate if you support publishing the draft as a Standards Track RFC.

We are also polling for knowledge of any undisclosed IPR that applies to this document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an author or a contributor of this document please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The document won't progress without answers from all the authors and contributors.

In addition, we are polling for knowledge of implementations of this draft, per the BESS policy in [2].

Thank you,

Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpws-fxc/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpws-fxc/__;!!NEt6yMaO-gk!SK0ta0-tR9Lca5ywiEUe1thdOLN6y42_IRQyu_3jkBEIIA5VLkoroz9v2GpL5JU$>

[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!NEt6yMaO-gk!SK0ta0-tR9Lca5ywiEUe1thdOLN6y42_IRQyu_3jkBEIIA5VLkoroz9vmSgrwUE$>

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 28 Sep 2021 09:28:54 +0000

As co-author, I support the publication of this document as Standards Track RFC.
Not aware of any relevant IPR.

Thanks.
Jorge

From: BESS <[email-masked]> on behalf of [email-masked] <[email-masked]>
Date: Tuesday, September 28, 2021 at 8:03 AM
To: 'BESS' <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

Hi,

Thank you,

Matthew & Stephane

[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

---

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Tue, 28 Sep 2021 15:43:25 +0000

Support publication of this document.

From: [email-masked] <[email-masked]>
Date: Monday, September 27, 2021 at 11:02 PM
To: 'BESS' <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

Hi,

Thank you,

Matthew & Stephane

---

From: "Shah, Himanshu" <[email-masked]>
Date: Tue, 28 Sep 2021 15:53:39 +0000

I support publishing of this draft.

Ciena has implemented this draft.

Thanks,
Himanshu

From: BESS <[email-masked]> on behalf of "[email-masked]" <[email-masked]>
Date: Tuesday, September 28, 2021 at 2:03 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [**EXTERNAL**] [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

Hi,

Thank you,

Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpws-fxc/ [datatracker.ietf.org]<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-vpws-fxc/__;!!OSsGDw!bVvQD2a5DsNxIJFesoY5OMr1iYWDkLkIhjz4qLx87RxUmwNDeESkMBpVe84$>

[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw [mailarchive.ietf.org]<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!OSsGDw!bVvQD2a5DsNxIJFesoY5OMr1iYWDkLkIhjz4qLx87RxUmwNDeESkGmM5_u8$>

---

From: "UTTARO, JAMES" <[email-masked]>
Date: Tue, 28 Sep 2021 16:00:21 +0000

As co-author I support an am not aware of any IPR..

Thanks,
              Jim Uttaro

From: BESS <[email-masked]> On Behalf Of Shah, Himanshu
Sent: Tuesday, September 28, 2021 11:54 AM
To: [email-masked]; 'BESS' <[email-masked]>
Cc: [email-masked]
Subject: Re: [bess] [**EXTERNAL**] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

Thanks,
Himanshu

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 28, 2021 at 2:03 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [**EXTERNAL**] [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

Hi,

Thank you,

Matthew & Stephane

---

From: Luc André Burdet <[email-masked]>
Date: Tue, 28 Sep 2021 18:07:30 +0000

I support publication ;  Cisco / IOS-XR has implemented this draft

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814

From: <[email-masked]>
Date: Tuesday, September 28, 2021 at 02:02
To: 'BESS' <[email-masked]>
Cc: <[email-masked]>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-vpws-fxc

Hi,

Thank you,

Matthew & Stephane

---

From: Anoop Ghanwani <[email-masked]>
Date: Tue, 28 Sep 2021 12:51:40 -0700

I support the publication of this draft.  I have the following comments
and suggested edits.

--

Technical comments

Section 4.1

I find this statement confusing

   While "local-bias" MUST be supported along with GENEVE encapsulation,
   the use of the Ethernet option-TLV is RECOMMENDED to follow the same
   procedures used by EVPN MPLS.

I'm not sure how it helps to carry an extra TLV when it is known
that its absence or presence results in identical behavior.

I also find the encoding confusing.  Why is the Type=0, instead of
using EVPN-OPTION with a length of 0x1 instead of 0x2?
What does Type=0 indicate?  Is this assigned by IANA?

Section 6

What is inter-AS option B?  Can we provide a reference?

Section 8

Doesn't IANA also need to allocate a codepoint for the
EVPN-OPTION type?

--

Editorial comments

Entire document

- 3 of the references listed as drafts are now RFCs.  Those should
  be fixed both in the reference section and in the text.

- There are several uses of GENEVE and Geneve in the document.
  Recommend replacing GENEVE with Geneve, including in the
  abbreviations and terminology section.

Section 1

Change

   This EVPN control plane extension will allow an NVE to express what
   Geneve option TLV types it is capable of receiving from, or sending
   to, over the Geneve tunnel with its peers.

To

   This EVPN control plane extension will allow an NVE to express what
   Geneve option TLV types it is capable of receiving or sending
   over the Geneve tunnel with its peers.

Section 4

Change

   This document adds an extension to the [I-D.ietf-nvo3-geneve
<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-geneve-03#ref-I-D.ietf-nvo3-geneve>]
   encapsulation that are relevant to the operation of EVPN.

To

   This document adds an extension to the [I-D.ietf-nvo3-geneve
<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-geneve-03#ref-I-D.ietf-nvo3-geneve>]
   encapsulation that is relevant to the operation of EVPN.

End

Section 4.1

Change

   [I-D.ietf-bess-evpn-overlay] describes when an ingress NVE uses
   ingress replication to flood unknown unicast traffic to the egress
   NVEs, the ingress NVE needs to indicate to the egress NVE that the
   Encapsulated packet is a BUM traffic type.

To

   [I-D.ietf-bess-evpn-overlay] describes when an ingress NVE uses
   ingress replication to flood unknown unicast traffic to the egress
   NVEs, the ingress NVE needs to indicate to the egress NVE that the
   Encapsulated packet is a BUM packet.

Change

   For GENEVE, we need a bit to for this purpose.

To

   For GENEVE, we need a bit for this purpose.

Expand first use of AC and add to abbreviations and terminology.

ecnapsulations -> encapsulations

GENVE -> Geneve

(There are 2 instances of this.)

"20- bit MPLS label" -> "20-bit MPLS label"

Add figure captions for the 2 figures showing the TLVs.

Expand first use of ES and ESI and add to abbreviations and terminology.

Change

   The ESI-label value is encoded in the high-order 20 bits
   of the Source-ESI field.

To

   The ESI-label value is encoded in the high-order 20 bits
   of the Source-ID field.

Change

   The egress NVEs that make use of ESIs in the data path because they
   have a local multi-homed ES or support [RFC8317
<https://datatracker.ietf.org/doc/html/rfc8317>] SHOULD advertise
   their Ethernet A-D per-ES routes along with the Geneve tunnel sub-TLV
   and in addition to the ESI-label Extended Community.

Remove "and".

On Mon, Sep 27, 2021 at 11:02 PM <[email-masked]> wrote:

> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: Anoop Ghanwani <[email-masked]>
Date: Tue, 28 Sep 2021 12:56:35 -0700

Sorry, sent to the wrong thread.  Will resend to the correct one.

---

From: "Patrice Brissette (pbrisset)" <[email-masked]>
Date: Wed, 29 Sep 2021 23:34:05 +0000

Hi,

As co-author, I support this draft. I’m not aware of IPR other than the 2 mentioned below.

Regards,
Patrice Brissette, Principal Engineer
Cisco Systems

http://e-vpn.io
http://go2.cisco.com/evpn

Date: Tuesday, September 28, 2021 at 02:03

Hi,

Thank you,

Matthew & Stephane